
QGIS Application - Bug report #16196

attribute table - open in show selected features/form view doesn't display selected feature

2017-02-15 02:54 AM - Amy Taylor

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24106

Description

Tested in 2.18.3 and 2.14.9; 

1) Select a feature in a layer

2) Open attribute table in Form view/Show Selected Features mode 

3) Selected features attributes are not shown in the form - instead attributes for feature with the lowest ID are shown

4) To see attributes for the selected feature you have to click on it in the preview panel, then the form view updates to show the selected

feature

This is confusing if editing a layer, as you can end up editing the wrong feature.

Related issues:

Related to QGIS Application - Bug report # 16875: Switching from attribute ta... Closed 2017-07-17

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-07-20 08:54 AM - Andreas Neumann

- Description updated

Issue #16875 is similar (or even the same)

#3 - 2017-07-20 11:23 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Seems really the same, closing this one. If it turns out are different things please reopen.

#4 - 2017-07-20 11:43 PM - Jürgen Fischer

- Related to Bug report #16875: Switching from attribute table to forms view: selected items should be displayed in form added
